The class that resides in this directory (class RBT::CreateAppDirSkeleton)
will create a proper directory layout in the main /home/Programs directory
used on the target computer. It will create subdirectories such as bin/,
include/, man/, sbin/, Shared/ and Resources/.

The class has been created on 06.12.2019, as a rewrite of the old class
called RBT::CreateProgram. That older class had a few minor bugs, and one
major bug. Since fixing the class was very cumbersome and annoying, I
decided to instead start from scratch and create a better class
altogether - and that has worked very well, much better than attempting
to fix the design for the old class.

The new class has to respond to the following input possibilities
at all times, as part of it specification:

    /home/Programs/Glib/2.40.0 # ← This is the ideal variant, as it is the
                               #   simplest for the class to handle as-is.
    glib-2.40.0                # ← Much shorter input, also valid.
    htop 0.9.7                 # ← such as in: rcp htop 0.9.7
    LibreOffice_9.2.2.2        # ← must also be a valid input format.

Commandline-Input such as the following must also be valid:

    create_program --tree Foo 1.0
    create_program --tree ruby 3.0

^^^ The reason for the latter examples is that this is valid on
GoboLinux, and we retain some compatibility to GoboLinux here.
