#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/constants/namespace.rb'
# RBT::NAMESPACE[:namespace]
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === NAMESPACE
  #
  # Which namespace we shall use for the RBT project may be defined here.
  #
  # This is a Hash "constant", so that we can more easily re-define it,
  # if we have to.
  # ========================================================================= #
  NAMESPACE = {
    namespace: 'RBT'
  }

end

if __FILE__ == $PROGRAM_NAME
  pp RBT::NAMESPACE
end