#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/shell/help.rb'
# =========================================================================== #
module RBT

class Installer

class Shell < Base

  # ========================================================================= #
  # === show_help                                                  (help tag)
  # ========================================================================= #
  def show_help
    opne 'These help options are available:'
    e
    display_colourized_comment '  show_compile_time     # (1) show the '\
      'compile-time statistics (also aliased to '+
      slateblue('stats?')+
      teal(')')+
      rev
    display_colourized_comment '  available?            # (2) show '\
      'the available programs'
    display_colourized_comment '  last_update?          # (3) show '\
      'when the last update of the last 100 programs happened'
    display_colourized_comment '  autocompile           # (4) try to '\
      'autocompile several programs'
    display_colourized_comment '  edit                  # (5) to edit '\
      'a .yml file (recipe)'
    display_colourized_comment '  remove_entry aclocal  # (6) remove '\
      'the entry "aclocal" from the database of compiled programs'
    e
    e 'You can also enable AppDir prefixes for compilation via'
    e '"nontrad".'
  end

end; end; end