#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/html_colours.rb'
# =========================================================================== #
module RBT

  require 'rbt/colours/use_colours.rb'

  # ========================================================================= #
  # === RBT.mediumaquamarine
  # ========================================================================= #
  def self.mediumaquamarine(
      i           = '',
      use_colours = use_colours?
    )
    return COLOURS::HtmlColoursMethods.mediumaquamarine(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.teal
  # ========================================================================= #
  def self.teal(
      i           = '',
      use_colours = use_colours?
    )
    return COLOURS::HtmlColoursMethods.teal(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.cornflowerblue
  # ========================================================================= #
  def self.cornflowerblue(
      i           = '',
      use_colours = use_colours?
    )
    return COLOURS::HtmlColoursMethods.cornflowerblue(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.steelblue
  # ========================================================================= #
  def self.steelblue(
      i           = '',
      use_colours = use_colours?
    )
    return COLOURS::HtmlColoursMethods.steelblue(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.dodgerblue
  # ========================================================================= #
  def self.dodgerblue(i)
    return COLOURS::HtmlColoursMethods.dodgerblue(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.cyan
  # ========================================================================= #
  def self.cyan(i)
    return COLOURS::HtmlColoursMethods.cyan(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.mediumslateblue
  # ========================================================================= #
  def self.mediumslateblue(i)
    return COLOURS::HtmlColoursMethods.mediumslateblue(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.lightblue
  # ========================================================================= #
  def self.lightblue(i)
    return COLOURS::HtmlColoursMethods.lightblue(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.crimson
  # ========================================================================= #
  def self.crimson(i)
    return COLOURS::HtmlColoursMethods.crimson(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.tomato
  # ========================================================================= #
  def self.tomato(i)
    return COLOURS::HtmlColoursMethods.tomato(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.turquoise
  # ========================================================================= #
  def self.turquoise(i)
    return COLOURS::HtmlColoursMethods.turquoise(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.violet
  # ========================================================================= #
  def self.violet(i = '')
    return COLOURS::HtmlColoursMethods.violet(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.lightsalmon
  # ========================================================================= #
  def self.lightsalmon(i = '')
    return COLOURS::HtmlColoursMethods.lightsalmon(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.royalblue
  # ========================================================================= #
  def self.royalblue(i = '')
    return COLOURS::HtmlColoursMethods.royalblue(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.slateblue
  # ========================================================================= #
  def self.slateblue(i = '')
    return COLOURS::HtmlColoursMethods.slateblue(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.gold
  # ========================================================================= #
  def self.gold(i = '')
    return COLOURS::HtmlColoursMethods.gold(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.orange
  # ========================================================================= #
  def self.orange(i = '')
    return COLOURS::HtmlColoursMethods.orange(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.lightgreen
  # ========================================================================= #
  def self.lightgreen(i = '')
    return COLOURS::HtmlColoursMethods.lightgreen(i) if use_colours?
    return i
  end

  # ========================================================================= #
  # === RBT.forestgreen
  # ========================================================================= #
  def self.forestgreen(i = '', use_colours = use_colours?)
    return COLOURS::HtmlColoursMethods.forestgreen(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.olivedrab
  # ========================================================================= #
  def self.olivedrab(i = '', use_colours = use_colours?)
    return COLOURS::HtmlColoursMethods.olivedrab(i) if use_colours
    return i
  end

  # ========================================================================= #
  # === RBT.mediumseagreen
  # ========================================================================= #
  def self.mediumseagreen(
      i           = '',
      use_colours = use_colours?
    )
    return COLOURS::HtmlColoursMethods.mediumseagreen(i) if use_colours
    return i
  end

end
