#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/convert_global_env.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.convert_global_env
  # ========================================================================= #
  def self.convert_global_env(i)
    unless Object.const_defined? :ConvertGlobalEnv
      begin
        require 'convert_global_env'
      rescue LoadError; end
    end
    i = i.first if i.is_a? Array
    if Object.const_defined? :ConvertGlobalEnv and
       i.include?('$') # Assume an ENV variable here.
      i = ConvertGlobalEnv.convert(i.dup).dup
    end
    return i
  end

end

if __FILE__ == $PROGRAM_NAME
  alias e puts
  e RBT.convert_global_env('$RUBY_SRC/test')  
end