#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/utility_scripts/increment_program_version/constants.rb'
# =========================================================================== #
module RBT

module Cookbooks

class IncrementProgramVersion < Base # === RBT::Cookbooks::IncrementProgramVersion

  # ========================================================================= #
  # === DEFAULT_PROGRAM
  # ========================================================================= #
  DEFAULT_PROGRAM = 'php'

  # ========================================================================= #
  # === TRY_TO_REPACKAGE_INTO_TAR_XZ_FORMAT
  #
  # If the following constant is true then incremented programs will be
  # repackaged into .tar.xz, unless they are already in this format.
  #
  # This constant is thus mostly a convenience setting, if you wish to
  # keep archives in .tar.xz, which I do.
  # ========================================================================= #
  TRY_TO_REPACKAGE_INTO_TAR_XZ_FORMAT = true

end; end; end