This directory will contain code for symlinking entries in
the AppDir hierarchy.

In the past this was handled by class RBT::SymlinkFromToCurrent.

This class originated from the even older class called
RBT::SymlinkProgram, but the use case changed over the
years, which led to problems due to the simplistic
design of class RBT::SymlinkProgram.

On 06.07.2019 I then decided to rewrite the old class
RBT::SymlinkProgram and create a new class that shall
cover the different use cases as well - and have a
better code design, too; better documented as well.

Renaming the class also helped supporting this distinction.

In April 2021 I again changed this, due to a few bugs.
The new class is now called RBT::SymlinkFromToCurrent
and has been specifically created to complement
class RBT::ToCurrent.

The old class, RBT::SymlinkFromToCurrent, was a bit buggy,
and I got tired having to fix these bugs. It seemed
simpler to just create a new class with the desired
behaviour.
